
//+------------------------------------------------------------------+
//|                                                  fxeabuilder.mq4 |
//|                                                      fxeabuilder |
//|                                       http://www.fxeabuilder.com |
//+------------------------------------------------------------------+

#property copyright "fxeabuilder.com"
#property link "www.fxeabuilder.com"

// External variables
extern double LotSize = 1;
extern double CandleBody = 0.1000; //disini nilai 0.1000 = 10 pips atau 100 point.
extern double StopLoss = 0;
extern double TakeProfit = 0;
extern double TrailingStopLimit = 0;
extern double TrailingStopStop = 0;
extern int MagicNumber = 23310;


// Global variables
int LongTicket;
int ShortTicket;
double RealPoint;



// Init function
int init()
	{
      RealPoint = RealPipPoint(Symbol());
     
	}


// Start function
int start()
	{
        //Variables
double var1 =  
        
		
		// Long
		
		OrderSelect(LongTicket,SELECT_BY_TICKET);
		if(OrderCloseTime() != 0 || LongTicket == 0)
		{
                
                    
bool buy_condition_1 = Close[0]  > Open[0] + CandleBody ;


                                 
		if( buy_condition_1   )
			{
								

				
				
				
				
				LongTicket = OrderSend(Symbol(),OP_BUY,LotSize,Ask,0,0,0,"Buy Order",MagicNumber,0,Green);
				
				
				OrderSelect(LongTicket,SELECT_BY_TICKET); 
				double OpenPrice = OrderOpenPrice();
				
            
             
            if(StopLoss > 0) double LongStopLoss = OpenPrice - (StopLoss * RealPoint);
            if(TakeProfit > 0) double LongTakeProfit = OpenPrice + (TakeProfit * RealPoint);
            
            
				if(LongStopLoss > 0 || LongTakeProfit > 0) 
				{
               bool LongMod = OrderModify(LongTicket,OpenPrice,LongStopLoss, LongTakeProfit,0);
				}
				
				
			}
		
		}
                               
		
		// Short
		
		OrderSelect(ShortTicket,SELECT_BY_TICKET);
		if(OrderCloseTime() != 0 || ShortTicket == 0)
		{
		 
                
                                    
bool sell_condition_1 = Close[0]  < Open[0] - CandleBody ;
  
                                    
		if( sell_condition_1   )
			{
			   		
				
				
				
				
				
				ShortTicket = OrderSend(Symbol(),OP_SELL,LotSize,Bid,0,0,0,"Sell Order",MagicNumber,0,Red);
				
				OrderSelect(ShortTicket,SELECT_BY_TICKET); 
				OpenPrice = OrderOpenPrice();
				
            
            
            if(StopLoss > 0) double ShortStopLoss = OpenPrice + (StopLoss * RealPoint);
            if(TakeProfit > 0) double ShortTakeProfit = OpenPrice - (TakeProfit * RealPoint);
            
				if(ShortStopLoss > 0 || ShortTakeProfit > 0) 
				{
               bool ShortMod = OrderModify(ShortTicket,OpenPrice,ShortStopLoss, ShortTakeProfit,0);
				}
				
				
			}
		
		
		}
                
		return(0);
	}


// Pip Point Function
double RealPipPoint(string Currency)
	{
		int CalcDigits = MarketInfo(Currency,MODE_DIGITS);
		if(CalcDigits == 2 || CalcDigits == 3) double CalcPoint = 0.01;
		else if(CalcDigits == 4 || CalcDigits == 5) CalcPoint = 0.0001;
		return(CalcPoint);
	}
        